# Installation
> `npm install --save @types/build-output-script`

# Summary
This package contains type definitions for build-output-script (https://github.com/lukechilds/build-output-script#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/build-output-script.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/build-output-script/index.d.ts)
````ts
export = buildOutputScript;

/**
 * Builds a P2PKH Bitcoin transaction output script from an array of P2PKH addresses and amounts.
 * Will also work with any Bitcoin derived cryptocurrencies with a single byte pubkey hash address prefix.
 *
 * The output script is returned as a hex string and can be passed directly in to ledgerjs.
 *
 * @param outputs An array of one or more output objects.
 * @returns A (hex string) P2PKH transaction output script.
 */
declare function buildOutputScript(
    outputs: [buildOutputScript.Output, ...buildOutputScript.Output[]],
): string;

declare namespace buildOutputScript {
    interface Output {
        /**
         * A valid P2PKH address.
         */
        address: string;
        /**
         * Value to send to `address` in satoshis.
         */
        value: number;
    }
}

````

### Additional Details
 * Last updated: Mon, 06 Nov 2023 22:41:05 GMT
 * Dependencies: none

# Credits
These definitions were written by [BendingBender](https://github.com/BendingBender).
